uninterpreted_constant.h File Reference

Representation of constants of uninterpreted sorts. More...

`#include "cvc4_public.h"`
`#include "expr/type.h"`
`#include <iostream>`
Include dependency graph for uninterpreted_constant.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | CVC4::UninterpretedConstant
struct | CVC4::UninterpretedConstantHashFunction
| Hash function for the BitVector constants. More...

## Namespaces

namespace | CVC4

## Functions

std::ostream & | CVC4::operator<< (std::ostream &out, const UninterpretedConstant &uc)

## Detailed Description

Representation of constants of uninterpreted sorts.

    ** Original author: Morgan Deters
    ** Major contributors: none
    ** Minor contributors (to current version): none
    ** This file is part of the CVC4 project.
    ** Copyright (c) 2009-2014  New York University and The University of Iowa
    ** See the file COPYING in the top-level source directory for licensing
    ** information.

Representation of constants of uninterpreted sorts.

Definition in file uninterpreted_constant.h.